Name: gmp-aix
Version     : 5.1.3
Release: 12
%define toolbox_release 2
%define aix_version 6.1
Group       : System Environment/Libraries
License     : LGPL
URL         : http://gmplib.org/
Summary     : AIX Toolbox gmp compatibility libraries
BuildArch: fat

BuildRequires: cpio-gnu
BuildRequires: ibm-build-tools

Source0: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/gmp/gmp-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm

%description
AIX Toolbox gmp compatibility libraries needed by gcc-aix

%install

mkdir -p %{buildroot}/tmp
cd %{buildroot}/tmp

rpm2cpio %{SOURCE0} | cpio -idmv

mkdir -p %{buildroot}/%{_libdir}
cd %{buildroot}/%{_libdir}


mkdir 32 64
cd 32
    ar -X32 x %{buildroot}/tmp/opt/freeware/lib64/libgmp.a
    fix-rpath libgmp.so.10 /QOpenSys/usr/lib
    
    ar -X32 x %{buildroot}/tmp/opt/freeware/lib64/libgmpxx.a
    fix-rpath libgmpxx.so.4 %{_libdir}:/QOpenSys/usr/lib
cd ../64
    ar -X64 x %{buildroot}/tmp/opt/freeware/lib64/libgmp.a
    fix-rpath libgmp.so.10 /QOpenSys/usr/lib
    
    ar -X64 x %{buildroot}/tmp/opt/freeware/lib64/libgmpxx.a
    fix-rpath libgmpxx.so.4 %{_libdir}:/QOpenSys/usr/lib
cd ..

strip -X32_64 -e 32/*
strip -X32_64 -e 64/*

ar -X32_64 crlo libgmp.a 32/libgmp.so.10 64/libgmp.so.10
ar -X32_64 crlo libgmpxx.a 32/libgmpxx.so.4 64/libgmpxx.so.4

rm -r 32 64

cd %{buildroot}
rm -r %{buildroot}/tmp

%files
%defattr(-, qsys, *none)

%{_libdir}/libgmp.a
%{_libdir}/libgmpxx.a
